be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDEBIRTHDELIVERYWAYvalues

- java.lang.Object
- - java.lang.Enum<CDEBIRTHDELIVERYWAYvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDEBIRTHDELIVERYWAYvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDEBIRTHDELIVERYWAYvalues>

      public enum CDEBIRTHDELIVERYWAYvalues
      extends Enum<CDEBIRTHDELIVERYWAYvalues>

  Java class for CD-EBIRTH-DELIVERYWAYvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-EBIRTH-DELIVERYWAYvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="spontaneous"/>
           <enumeration value="vacuum-extraction"/>
           <enumeration value="forceps"/>
           <enumeration value="primary-caesarean"/>
           <enumeration value="secondary-caesarean"/>
           <enumeration value="vaginal breech"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORCEPS`
    `PRIMARY_CAESAREAN`
    `SECONDARY_CAESAREAN`
    `SPONTANEOUS`
    `VACUUM_EXTRACTION`
    `VAGINAL_BREECH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDEBIRTHDELIVERYWAYvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDEBIRTHDELIVERYWAYvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDEBIRTHDELIVERYWAYvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SPONTANEOUS

          public static final CDEBIRTHDELIVERYWAYvalues SPONTANEOUS

    - #### VACUUM_EXTRACTION

          public static final CDEBIRTHDELIVERYWAYvalues VACUUM_EXTRACTION

    - #### FORCEPS

          public static final CDEBIRTHDELIVERYWAYvalues FORCEPS

    - #### PRIMARY_CAESAREAN

          public static final CDEBIRTHDELIVERYWAYvalues PRIMARY_CAESAREAN

    - #### SECONDARY_CAESAREAN

          public static final CDEBIRTHDELIVERYWAYvalues SECONDARY_CAESAREAN

    - #### VAGINAL_BREECH

          public static final CDEBIRTHDELIVERYWAYvalues VAGINAL_BREECH

  - ### Method Detail

    - #### values

          public static CDEBIRTHDELIVERYWAYvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDEBIRTHDELIVERYWAYvalues c : CDEBIRTHDELIVERYWAYvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDEBIRTHDELIVERYWAYvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDEBIRTHDELIVERYWAYvalues fromValue(String v)

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.